Bug 438386 - Set up Subversion to use the pki-commits mailing list
Set up Subversion to use the pki-commits mailing list
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: Other (Show other bugs)
1.0
All Linux
low Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-03-20 14:06 EDT by Matthew Harmsen
Modified: 2015-01-04 18:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 17:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2008-03-20 14:06:03 EDT
Subject says it all.
Comment 1 Matthew Harmsen 2008-03-27 19:55:01 EDT
On "pki.fedoraproject.org", execute the following commands to allow users on the
"pki-commits@redhat.com" mailing list to be sent email notification on "svn
commit" commands:

    cd /srv/svn/pki/hooks
    
    cp post-commit.tmpl post-commit
    
    chmod 00755 post-commit
    
    chown apache:apache post-commit
    
    vi post-commit
    
        Change the line:
        
            commit-email.pl "$REPOS" "$REV" commit-watchers@example.org
        to:
        
            commit-email.pl "$REPOS" "$REV" pki-commits@redhat.com
Comment 2 Matthew Harmsen 2008-03-27 22:18:20 EDT
Additional configuration:

cd /srv/svn/pki/hooks

wget http://svn.collab.net/repos/svn/trunk/tools/hook-scripts/commit-email.pl.in

sed 's/@SVN_BINDIR@/\/usr\/bin/' commit-email.pl.in > commit-email.pl

chmod 00755 commit-email.pl

chown apache:apache commit-email.pl

vi post-commit
    Change the line:
        commit-email.pl "$REPOS" "$REV" pki-commits@redhat.com
    to:
        ${REPOS}/hooks/commit-email.pl "$REPOS" "$REV" pki-commits@redhat.com -h
pki.fedoraproject.org 
Comment 3 Matthew Harmsen 2008-03-28 18:50:37 EDT
This was tested by mharmsen, blord, and awnuk.
Comment 4 Chandrasekar Kannan 2008-08-26 20:27:08 EDT
Bug already MODIFIED. setting target CS8.0 and marking screened+

Note You need to log in before you can comment on or make changes to this bug.